## tclsoldout 0.1.1

=== Makefile ===
PREFIX	= /usr
LIBDIR	= ${PREFIX}/lib
MANDIR	= ${PREFIX}/man

VERSION	= 0.1.1

CC	?= gcc
MAKE	?= make
CFLAGS	+= -fPIC -Wall -Wextra -pedantic
LDFLAGS	 = -ltcl -shared

SRC =	extern/array.c     \
	extern/buffer.c    \
	extern/markdown.c  \
	extern/renderers.c \
	tclsoldout.c

OBJ = ${SRC:.c=.o}

all: libtclsoldout.so

clean:
	rm -f ${OBJ} libtclsoldout.so

dist: all
	fossil tarball v${VERSION} --name tclsoldout-${VERSION} \
		tclsoldout-${VERSION}.tar.gz

html:
	mandoc -Thtml -Wall -Ostyle=http://dl.juef.tk/misc/man.css \
		tclsoldout.n > www/tclsoldout.n.html

install: all
	mkdir -p		${DESTDIR}${LIBDIR}/tclsoldout
	cp -f libtclsoldout.so	${DESTDIR}${LIBDIR}/tclsoldout
	chmod 0444		${DESTDIR}${LIBDIR}/tclsoldout/libtclsoldout.so

	cp -f pkgIndex.tcl	${DESTDIR}${LIBDIR}/tclsoldout
	chmod 0444		${DESTDIR}${LIBDIR}/tclsoldout/pkgIndex.tcl

	mkdir -p		${DESTDIR}${MANDIR}/mann
	cp -f tclsoldout.n	${DESTDIR}${MANDIR}/mann
	chmod 0444		${DESTDIR}${MANDIR}/mann/tclsoldout.n

md5: dist
	openssl dgst -md5 tclsoldout-${VERSION}.tar.gz \
		> tclsoldout-${VERSION}.md5

test: all
	@cd ./tests; ${MAKE}

uninstall:
	rm -rf	${DESTDIR}${LIBDIR}/tclsoldout
	rm -f	${DESTDIR}${MANDIR}/mann/tclsoldout.n

.c.o:
	${CC} ${CFLAGS} -c $< -o $@

libtclsoldout.so: ${OBJ}
	${CC} ${LDFLAGS} ${OBJ} -o $@

.PHONY: all clean dist html install md5 test uninstall

=== tests/Makefile ===
all:
	@./all.tcl

.PHONY: all

=== debian/changelog ===
tclsoldout (0.1.1-4) unstable; urgency=medium

  * Changing installation directory with its architecture dependent counterpart
  * Debian standards compliance checked up to 4.7.2

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 02 Mar 2025 22:14:15 +0000

tclsoldout (0.1.1-3) unstable; urgency=medium

  *  Update debian/watch to reflect upstream repository reorganization
  *  Check standard compliance (4.7.0)

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 01 May 2024 15:44:57 +0000

tclsoldout (0.1.1-2) unstable; urgency=medium

  *  Let's have the man page mangled during the binary build target.

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 14 Feb 2022 22:20:09 +0000

tclsoldout (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #996100)

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 14 Oct 2021 17:15:58 +0200

=== debian/control ===
Source: tclsoldout
Section: devel
Priority: optional
Maintainer: Massimo Manghi <mxmanghi@apache.org>
Build-Depends: debhelper-compat (= 13), tcl-dev, libsoldout-dev
Standards-Version: 4.7.2
Homepage: https://git.juef.net/archive/tclsoldout/
Rules-Requires-Root: no

Package: tclsoldout
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${tcl:Depends}, ${libtcl:Depends}
Description: Tcl wrapper for libsoldout, a markdown parser library
 tclsoldout extends Tcl providing new commands to parse and process
 markdown text. Tclsoldout current version creates 2 new commands
 .
    + ::soldout::mk2html - markdown to HTML processor
    + ::soldout::mk2xhtml - markdown to XHTML processor
 .
 tclsoldout also provides ::soldout::escape_string, its own utility
 to convert SGML characters into their HTML entities.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# query for the architecture triplet we build for
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
# 
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -Wextra -pedantic -fPIC
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -shared -lsoldout

CC ?= gcc
MAKE ?= make

SRC = tclsoldout.c
OBJ = ${SRC:.c=.o}

%:
	dh $@

override_dh_gencontrol:
	tcltk-depends
	dh_gencontrol

override_dh_auto_clean:
	$(MAKE) clean
	rm -rf run-tests tclsoldout.3tcl

.c.o:
	. /usr/lib/tclConfig.sh; \
	${CC} ${CFLAGS} -I/usr/include/tcl$${TCL_VERSION} -c ${SRC} -o ${OBJ}

libtclsoldout.so: ${OBJ}
	. /usr/lib/tclConfig.sh; \
	${CC} ${LDFLAGS} -ltcl$${TCL_VERSION} ${OBJ} -o libtclsoldout.so -lsoldout

override_dh_auto_build: libtclsoldout.so
	echo "mangling names in tclsoldout.n"; \
	sed -e 's/TCLSOLDOUT n/tclsoldout 3tcl/g' tclsoldout.n > tclsoldout.3tcl

override_dh_auto_install:

override_dh_auto_test:
	@cp -a tests run-tests; \
	cd ./run-tests; \
	for f in *.test ; do \
		echo "mangling the shebang line in $$f" ; \
		sed -i -e 's|/usr/bin/env.*|/usr/bin/tclsh|' $$f; \
	done; \
	pwd; \
	sed -i -e 's|/usr/bin/env.*|/usr/bin/tclsh|' all.tcl ; \
	chmod 755 all.tcl ;\
	${MAKE}

=== debian/watch ===
# version 4 watch file
version=4


# tclsoldout is distributed from this self-maintained directory
https://dl.juef.net/tclsoldout/([\d\.]+)/ tclsoldout-([\d\.]+)\.tar\.gz debian uupdate
